Get one customer
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/pos/customers/{customer_id}import requests
url = "https://api.chift.eu/consumers/{consumer_id}/pos/customers/{customer_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/pos/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "371ca583-d218-8000-b236-397532cf0e52",
"name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"phone": "+32475123456",
"email": "john.doe@gmail.com",
"created_on": "2025-01-01T00:00:00Z",
"addresses": [],
"loyalty": 100,
"birthdate": "1990-01-01"
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "The customer could not be found",
"status": "error",
"error_code": "ERROR_CUSTOMER_NOT_FOUND"
}{
"message": "The resource {Method} - {Resource} is not supported by {ConnectorName}",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"message": "Error while trying to authenticate to {ConnectorName}",
"status": "error"
}Customers
Get one customer
Returns a specific customer profile from the POS system by their unique identifier.
GET
/
consumers
/
{consumer_id}
/
pos
/
customers
/
{customer_id}
Get one customer
Learn more:
- What is a customer? ↗
Path Parameters
Unique identifier of the customer
Response
Successful Response
Unique identifier of the customer
Example:
"371ca583-d218-8000-b236-397532cf0e52"
Name (first name + last name) of the customer
Example:
"John Doe"
First name of the customer
Example:
"John"
Last name of the customer
Example:
"Doe"
Phone number (mobile, home, work, ...) of the customer
Example:
"+32475123456"
Email address of the customer
Example:
"john.doe@gmail.com"
Date and time when the customer was created
Example:
"2025-01-01T00:00:00Z"
List of addresses of the customer
Show child attributes
Show child attributes
Loyalty points of the customer
Example:
100
Birthdate of the customer
Example:
"1990-01-01"